Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606422 - augeas doesn't contain a lens for modules.conf
augeas doesn't contain a lens for modules.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: augeas (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: David Lutterkort
BaseOS QE - Apps
:
Depends On:
Blocks: 558755
  Show dependency treegraph
 
Reported: 2010-06-21 11:13 EDT by Matthew Booth
Modified: 2010-11-10 14:54 EST (History)
4 users (show)

See Also:
Fixed In Version: augeas-0.7.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:54:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2010-06-21 11:13:24 EDT
Description of problem:
augeas doesn't contain a lens for modules.conf, used by RHEL 3. This is required by virt-v2v 0.6.1. There's an upstream lens for this.

Version-Release number of selected component (if applicable):
augeas-0.7.1-1
Comment 1 RHEL Product and Program Management 2010-06-21 11:23:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 David Lutterkort 2010-06-29 22:10:37 EDT
Rebased to augeas-0.7.2 which contains a fix for this bug.
Comment 5 Rita Wu 2010-08-03 03:15:09 EDT
There is no modules.aug in augeas-libs-0.7.1-1.el6.x86_64
# rpm -qa|grep augeas
augeas-0.7.1-1.el6.x86_64
augeas-libs-0.7.1-1.el6.x86_64

# rpm -ql augeas-libs |grep module
/usr/share/augeas/lenses/dist/cobblermodules.aug
/usr/share/augeas/lenses/dist/tests/test_cobblermodules.aug

After updating to augeas-libs-0.7.2-2.el6.x86_64, modules.aug is there.

# rpm -qa|grep augeas
augeas-0.7.2-2.el6.x86_64
augeas-libs-0.7.2-2.el6.x86_64
# rpm -ql augeas-libs |grep modules
/usr/share/augeas/lenses/dist/cobblermodules.aug
/usr/share/augeas/lenses/dist/modules_conf.aug
/usr/share/augeas/lenses/dist/tests/test_cobblermodules.aug
/usr/share/augeas/lenses/dist/tests/test_modules_conf.aug
# augtool 
augtool> ls /files/etc/mod
modprobe.d/    modules.conf/  
augtool> ls /files/etc/modules.conf/
alias/ = eth0
Comment 6 releng-rhel@redhat.com 2010-11-10 14:54:54 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.